Bug 504123 - kde-settings should not require leonidas-kde-theme
kde-settings should not require leonidas-kde-theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 07:34 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.2-12.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 19:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-06-04 07:34:12 EDT
Description of problem:

On a system without KDE installed, I tried to install Pony, a PyKDE app

# yum install pony

<...>

================================================================================
 Package                  Arch   Version                  Repository       Size
================================================================================
Installing:
 pony                     noarch 0.1-2.fc11               updates         179 k
Installing for dependencies:
 Django                   noarch 1.0.2-3.fc11             fedora          4.5 M
 PyKDE4                   i586   4.2.3-2.fc11             updates         4.4 M
 clucene-core             i586   0.9.21-3.fc11            fedora          350 k
 exiv2-libs               i586   0.18.1-1.fc11            fedora          842 k
 kde-filesystem           noarch 4-25.fc11                fedora           22 k
 kde-settings             noarch 4.2-10.20090430svn.fc11  fedora           38 k
 kdelibs                  i586   6:4.2.3-3.fc11           updates-testing  14 M
 kdelibs-common           i586   6:4.2.3-3.fc11           updates-testing 367 k
 leonidas-backgrounds-kdm noarch 11.0.0-1.fc11            fedora          4.6 M
 leonidas-kde-theme       noarch 11.0.1-1.fc11            fedora          1.1 M
 oxygen-icon-theme        noarch 4.2.2-1.fc11             fedora           15 M
 pyexiv2                  i586   0.1.3-3.fc11             updates          71 k
 python-flickrapi         noarch 1.2-2.fc11               fedora           47 k
 soprano                  i586   2.2.3-1.fc11             fedora          692 k
 strigi-libs              i586   0.6.4-4.fc11             fedora          468 k


I shouldn't have to install a KDM theme to get a KDE image viewer.
Comment 1 Kevin Kofler 2009-06-04 07:52:01 EDT
I think leonidas-kde-theme should not be required by kde-settings, only by kdebase-workspace. It contains a Plasma wallpaper theme, a KSplash theme and a KDM theme. None of these are useful outside of KDE.
Comment 2 Rex Dieter 2009-06-04 09:22:28 EDT
Agreed...

or to make things a bit indirect (with slightly easier future maintainability), make a new kde-settings-workspace subpkg Required by kdebase-workspace (like -kdm).
Comment 3 Kevin Kofler 2009-06-04 09:25:42 EDT
kdebase-workspace currently drags in leonidas-kde-theme directly for the default face icon symlink.
Comment 4 Rex Dieter 2009-06-04 09:38:56 EDT
OK, plan:

short-term: drop leonidas-kde-theme dep from kde-settings

potential long term:  make kde-settings-workspace subpkg to encapsulate such theming details. (could do something like this for f12 perhaps).
Comment 5 Bug Zapper 2009-06-09 13:04:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Steven M. Parrish 2009-07-22 08:00:42 EDT
Ping?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Fedora Update System 2009-08-31 14:08:23 EDT
kde-settings-4.2-12.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-settings-4.2-12.1
Comment 8 Fedora Update System 2009-09-01 14:05:05 EDT
kde-settings-4.2-12.1 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-settings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9212
Comment 9 Fedora Update System 2009-09-15 03:54:05 EDT
kde-settings-4.2-12.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.